/* $Id: eximstate.h.in,v 1.2 2002/08/11 15:49:37 ollie Exp $ */
#ifndef EXIMSTATE
#define EXIMSTATE

#define CONF_FILE "/usr/local/etc/eximstate.conf"

/* Further includes */
#include "parse.h"
#include "config.h"

/* Structures */
struct config {
	int  sample_interval;
	char exim_input_directory[MAX_BUF];
	char pid_file[MAX_BUF];
	char host[MAX_BUF];
	int  port;
	char identity[MAX_BUF];
};

struct exim_info {
  time_t lastcheck;
  int    queue_total;
  int    queue_frozen;
  int    queue_bounces;
  char   hostname[MAX_BUF];
  time_t timetaken;
  time_t timestamp;
};

/* Prototypes */
int get_info (struct exim_info *info);
int call_socket(char *hostname, unsigned short portnum);
void disconnect (int fd);
int read_line (char *buf, int fd);
int setup_state (struct config *config, struct conf_item *first_item);
void sighandler (int sig);

/* Globals */
struct config config;
int debugflag;

#endif
